head     1.3;
branch   ;
access   ;
symbols  ;
locks    ; strict;
comment  @@;


1.3
date     91.02.06.11.53.41;  author bdn;  state Exp;
branches ;
next     1.2;

1.2
date     91.02.06.03.35.40;  author wagner;  state Exp;
branches ;
next     1.1;

1.1
date     91.01.24.15.31.41;  author wagner;  state Exp;
branches ;
next     ;


desc
@Help file for the pmp program.
@


1.3
log
@set up for saving of configuration file
@
text
@$Id: pmp.hlp 1.2 91/02/06 03:35:40 wagner Exp Locker: bdn $

*DATA HELP
Form Actions
-------------------
<F8> or <TAB> or <ENTER>        Move to next item on form
<F7> or <SHIFT-TAB>             Move to previous item on form
<Ctrl-HOME>                     Move to first item on form
<Ctrl-END>                      Move to last item on form
<DOWN ARROW>            Move to next item located physically below current one
<UP-ARROW>              Move to next item located physically above current one

<ESC>                   Quit the current process (Abort)
<F10>                   Exit the current process (Save)

Multiple Form Actions
---------------------
<SHIFT-F7>              Goes to previous form in a list of form pages
<SHIFT-F8>              Goes to next form in a list of form pages

Field Actions
--------------------
<F1>                    Invokes help
<F2>                    Process choice list, if any, for current field
<DEL>                   Delete character at current cursor position
<BACKSPACE>             Delete character left of cursor

<HOME>                  Move cursor to beginning of field
<RIGHT-ARROW>           Move cursor one position to the right
<LEFT-ARROW>            Move cursor one position to the left
<END>                   Moves cursor to end of field

<F6>                    Clear field
<SHIFT-F3>              Clear field and redisplay original value
<SHIFT-F6>              Clear from cursor to end of field

<INS>                   Toggle between insert and overstrike mode
<SPACE>                 Toggle strings for boolean toggle fields
                        ( IF ENABLED for field )

*SCROLL HELP

                     System Help for the Scrollable subform

The following keys are recognized:


<Alt F1> while in Help:  Zoom Help Window

<F1>  Help                 <F2>  Choice list (if enabled for current field)
<F3>  Undo                 <F4>
<F5>  Clear field          <F6>  Clear end
<F7>  Beginning of field   <F8>  End of field
<F9>                       <F10> Exit

<Home>  First field      <Up>  Prev. line         <PgUp>   Prev. field
<Left>  Cursor left                               <Right>  Cursor right
<End>   Last field       <Dn>  Next line          <PgDn>   Next field

<CTRL-Home>  Exit scroll region up
<CTRL-End>   Exit scroll region down
<CTRL-PgUp>  Page a scroll region up
<CTRL-PgDn>  Page a scroll region down

<Tab>   Next field       <Shift-tab>  Prev. field
<Enter> Next field       <Esc>        Abort form
<Del>   Delete char.     <Backspace>  Destructive backspace
<Ins>   Insert mode

Next field              <Enter>, <Tab>, <PgDn>
Previous field          <PgUp>, <Shift-tab>
Up field                <Up-arrow>
Down field              <Down-arrow>
First field             <Home>
Last field              <End>
Begin of field          <F7>
End of field            <F8>
Cursor left             <Left-arrow>
Cursor right            <Right-arrow>
Exit                    <F10>
Abort                   <Esc>

Exit scroll region up       <CTRL-Home>
Exit scroll region down     <CTRL-End>
Page scroll region up       <CTRL-PgUp>
Page scroll region down     <CTRL-PgDn>

*MENU HELP

                                    Menu Help

The following keys are recognized:

<F1>  Help                 <F2>  
<F3>                       <F4>
<F5>                       <F6>  Clear end
<F7>  Beginning of field   <F8>  End of field
<F9>                       <F10> Exit

<Alt F1> while in Help:  Zoom Help Window

<Home>  First field      <Up>  Prev. field        <PgUp>   Prev. field
<Left>  Cursor left                               <Right>  Cursor right
<End>   Last field       <Dn>  Next field         <PgDn>   Next field

<Tab>   Next field       <Shift-tab>  Prev. field
<Enter> Next field       <Esc>        Abort
<Del>   Delete char.     <Backspace>  Destructive backspace
<Ins>   Insert mode

*MAIN_MENU_CONFIG
                             Configuration Menu Help

    This menu provides for changing the parameters in the following
    areas:
                       Analysis / Output options
                       Pin Meter parameters
                       Calibration File parameters
                       System Defaults

    You may also veiw  System Status

*MAIN_MENU_DIGITIZE
        ****************************************************************
        ***        Currently this program does not allow for         ***
        ***             scanning of images from within.              ***
        ****************************************************************

*MAIN_MENU_SELECT
                             Select Image Menu Help

            <TAB> or <SHIFT> <TAB> to move between fields
            <F10> save and exit form
            <F7> and <F8> also move between fields

            Pin Meter Sampling Information

            Date            Date of data collection

            Operator        Pin Meter Operator

            Site Location   Location of Pin Meter

            Comments        Researcher Comments
                i.e. the Pin Meter was parrallel to rows
                     the Pin Meter was perpendicular to rows

*MAIN_MENU_ANALYZE
                               Image Analysis Help

               This option allows for analyzing the scanned image.

           +--------------------------------------------------------+
           |    *** elaborate further about analysis options ***    |
           +--------------------------------------------------------+

*MAIN_MENU_DISPLAY
                            Display Report Help Menu

            This routine will display the report that was generated
            from the data collected on the current image.

*MAIN_MENU_PRINT
                             Print Report Help Menu

            This routine will print to the current line printer the
            report that was generated from the data collected on the
            current image.

*MAIN_MENU_FILE
                              File Report Help Menu

            This routine will take the data collected from the image
            and save it to the disk drive in report form.

*MAIN_MENU_EXIT

                                EXIT Option Help

            This selection will EXIT you from the program.  Operation
            will cease and you will be returned to DOS.

*CFG_MENU_ANAL_OPTS
                      Configuration Analysis / Options Help

Calibrate Image File Data
Output Header Information
Output Units
Output Type
Output Coordinates Line

There are four types of data points that can be output in a
report.  They are:      (z)
                        (x,z)
                        (#,z)
                        (#,x,z)

Where   X = x distance from the reference line.
        Z = distance from reference line.
        # = pin number from left to right

*CFG_MENU_METER_PARMS
                            Pin Meter Parameters Help

            Pin Meter Parameters:
            Reference Mark Spacing
            Pin Meter Pin Spacing
            Number of Pin Meter Pins
            Pin Meter Background Color

            Pin Meter / Scanner resolution parameters:
            Minimum thickness of pins
            Minimum length of pins
            Average thickness of pins
            Maximum roughness of pin meter pin edges

            Pin Meter Calibration Files:
            File Path
            File Extensions
            File Name

*CFG_MENU_CREATE_CAL

                         Calibration File Creation Help

                            Number of Pin Meter Pins
                            Number of Calibration Image Files
                            Calibration File Header

                            New Calibration File
                            File Path
                            File Extension
                            File Name

*CFG_MENU_SYS_DEFAULTS

                            System Defaults Help Menu

        This routine lets you view and change system defaults.

        File path and extension defaults:
            Input Image Files
            User Output Data Files
            System Data Files

        Color defaults:
            Pin Mark Color
            Reference Mark Color
            AOI Region Color
            Text Color
            ABS Coordinates color
            REL Coordinates color

            Video Adapter Selection

*CFG_MENU_STATUS

                               System Status Help

              The System Status routine displays information about
              the following:

                                   EMS Driver
                                   EMS Version
                                   EMS Memory

                                   DOS Version
                                   DOS Memory

                                   Video Adapter

*CONFIG_OUTPUT_TYPE

There are four types of data points that can be output in a
report.  They are:      (z)
                        (x,z)
                        (#,z)
                        (*,x,z)

Where   X = x distance from the reference line.
        Z = distance from reference line.
        # = pin number from left to right

*CONFIG_COORD

        Coordinates Options:

        Image Boundary   = Distance from edge of image on right

        Referenence Line = Distance from the line between the two
                           reference marks.

        Regressed Line   = Distance from the best fit straight line.

        Normalized       = Distance from the line that is parallel to
        Reference Line     the reference line but has 50% of the pins
                           above and 50% of the pins below.

*SLCT_MENU_FILE
                                Select Image File

            Select one of the listed files for image analysis.

            If the file you want to select is in a different
            directory.  Change the drive and path options
            then select the file.

            i.e. if your image is on a floppy in the A drive,
            in the root (\) directory select the following:

            FILE PATH: A:\

*SLCT_MENU_COMMENT
                               Comment Field Help

        <F10>           Exits and Saves information
        <F7> <F8>       move to previous and next windows
        <SHIFT> <TAB>   moves to previous window
        <TAB>           moves to next windwo

        You should enter other critical data in this section.

        i.e. orientation of the pin meter.

        The pin meter was oriented parallel to the rows.
        The pin meter was oriented perpendicular to the rows.

*CFG_MENU_SWAP
			  Scanner and Swapping Parameters

		SCAN_PATHNAME 	full path and name of program
				default: scan

		SCAN_ARGS 	the arguments to the scanner program
				default: none

		SWAP_CONTROL	controls how the swapping is done
				-1 do not use EMS Swapping
				 1 always swap
				default: 1

		SWAP_MEM_NEED	how much memory is needed for the scanner
				program in paragraphs
				0 never swap
				65535 always swap
				_____ memory required
				default: 65535

*CFG_MENU_SAVE
			Configuration File Save

		This option prompts you for a file name to save
		the current program parameters to.  The program
		will overwrite any existing file of the same name.

*END

        this is the end of the help file.
@


1.2
log
@updated for scanner and swap help
@
text
@d1 1
a1 1
$Id: pmp.hlp 1.1 91/01/24 15:31:41 wagner Exp Locker: wagner $
d348 7
@


1.1
log
@Initial revision
@
text
@d1 1
a1 1
$Id$
d327 21
@
